Summary:        Modules that calculate message digests
Name:           perl-Digest
Version:        1.20
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Digest-%{version}.tar.gz
BuildRequires:  make, coreutils, perl-generators, perl-interpreter, perl(strict), perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76, perl(Carp), perl(Exporter)
BuildRequires:  perl(:VERSION) >= 5.6, perl(Config), perl(MIME::Base64)
BuildRequires:  perl(File::Temp), perl(lib), perl(Test::More) >= 0.47
BuildArch:      noarch
Requires:       perl-lib, perl(MIME::Base64)

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%description
The Digest:: modules calculate digests, also called "fingerprints" or
"hashes", of some data, called a message. The digest is (usually) some
small/fixed size string. The actual size of the digest depend of the
algorithm used. The message is simply a sequence of arbitrary bytes or
bits.



%prep
%autosetup -n Digest-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test



%files
%doc Changes digest-bench README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 cunshunxia <cunshunxia@tencent.com> - 1.20-1
- initial build
